GET /applications/{appId}/endpoints/{id}
Get a single endpoint by ID. The signing secret is masked.

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Path Parameters

appId string required path
Application ID
id string required path
Resource ID

Responses

200 Endpoint details
application/json
endpoint object REQUIRED
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
application_id string REQUIRED
url string REQUIRED
description string | null REQUIRED
signing_algorithm string REQUIRED
status string REQUIRED
filter_types string | null REQUIRED
rate_limit_per_second integer | null REQUIRED
expires_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
401 Unauthorized
404 Endpoint not found
curl -X GET 'https://hookstream.io/v1/applications/string/endpoints/string' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/applications/string/endpoints/string', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/applications/string/endpoints/string', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/applications/string/endpoints/string", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "endpoint": {
    "id": "<string>",
    "org_id": "<string>",
    "env_id": "<string>",
    "application_id": "<string>",
    "url": "<string>",
    "description": "<string>",
    "signing_algorithm": "<string>",
    "status": "<string>",
    "filter_types": "<string>",
    "rate_limit_per_second": 123,
    "expires_at": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  }
}
GET /applications/{appId}/endpoints/{id}
Ask a question... ⌘I